/*
 * ====================================================================
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 * ====================================================================
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Apache Software Foundation.  For more
 * information on the Apache Software Foundation, please see
 * <http://www.apache.org/>.
 *
 */
package org.apache.hc.client5.testing.async;

import org.apache.hc.core5.http.URIScheme;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Nested;

public class ReactiveIntegrationTests {

    @Nested
    @DisplayName("Fundamentals (HTTP/1.1)")
    public class Http1 extends TestHttp1Reactive {

        public Http1() throws Exception {
            super(URIScheme.HTTP);
        }

    }

    @Nested
    @DisplayName("Fundamentals (HTTP/1.1, TLS)")
    public class Http1Tls extends TestHttp1Reactive {

        public Http1Tls() throws Exception {
            super(URIScheme.HTTPS);
        }

    }

    @Nested
    @DisplayName("Fundamentals (HTTP/2)")
    public class H2 extends TestH2Reactive {

        public H2() throws Exception {
            super(URIScheme.HTTP);
        }

    }

    @Nested
    @DisplayName("Fundamentals (HTTP/2, TLS)")
    public class H2Tls extends TestH2Reactive {

        public H2Tls() throws Exception {
            super(URIScheme.HTTPS);
        }

    }

}